<?php

/**
 * Class Core_Application_Component_ContainerAbstract
 *
 * @method static Core_Application_Component_Container getInstance()
 */
abstract class Core_Application_Component_ContainerAbstract extends Core_Singleton
{
    /**
     * @param string $name
     *
     * @return object
     */
    public function __get($name)
    {
        return Core_Application::get($name);
    }

} 